Ticket #39 (closed defect: fixed)

Opened 6 years ago

Last modified 6 years ago

Fix some bug in osgideps.pl script

Reported by: alcapcom Assigned to: pmatilai
Priority: major Milestone:
Component: rpm Version: RPM Development
Keywords: Cc:

Description

The patch fixe follow bugs:
- use Temp perl module to provide temp dir
- re-enable deps solving in Require-Bundle, Import-Package, Export-Package OSGI properties
- Remove uses bundle of Export-Package OSGI property
- use RPM '>=' as version operator to match OSGI '='
- remove all .0 at the end of the version string
- Some typo changes

I've also wrote a little script to debug osgideps.pl script on a given list of file, the script check if all requires are provided and that versions match correctly. Result of it all Fedora Eclipse packages files enlighten that we are short of a stable release.

command: rpm-osgideps-check --command="rpm -ql $(rpm -qa | grep eclipse)"

installed packages (rpm -qa | grep eclipse):
eclipse-rcp-3.4.1-5.fc10.x86_64
eclipse-pde-3.4.1-5.fc10.x86_64
eclipse-cdt-5.0.1-2.fc10.x86_64
eclipse-ecj-3.4.1-5.fc10.x86_64
eclipse-mylyn-java-3.0.3-3.fc10.noarch
eclipse-subclipse-1.2.4-12.fc10.noarch
eclipse-pydev-1.4.2-1.fc10.x86_64
eclipse-changelog-2.6.6-1.fc10.x86_64
eclipse-rpm-editor-0.4.0-5.fc10.x86_64
eclipse-quickrex-3.5.0-9.fc10.noarch
eclipse-swt-3.4.1-5.fc10.x86_64
eclipse-platform-3.4.1-5.fc10.x86_64
eclipse-mylyn-3.0.3-3.fc10.noarch
tomcat5-jasper-eclipse-5.5.27-6.1.fc10.noarch
eclipse-nls-fr-0.2.0-0.5.20080807snap.fc10.noarch
icu4j-eclipse-3.8.1-4.fc10.x86_64
eclipse-jdt-3.4.1-5.fc10.x86_64

Bundles required but provide by the JVM as OSGI system package:
osgi(javax.crypto)
osgi(javax.crypto.spec)
osgi(javax.net)
osgi(javax.net.ssl)
osgi(javax.security.auth)
osgi(javax.security.auth.callback)
osgi(javax.security.auth.login)
osgi(javax.security.auth.spi)
osgi(javax.security.auth.x500)
osgi(javax.security.cert)
osgi(javax.xml.parsers)
osgi(javax.xml.transform)
osgi(javax.xml.transform.dom)
osgi(javax.xml.transform.stream)
osgi(org.w3c.dom)
osgi(org.xml.sax)
osgi(org.xml.sax.ext)
osgi(org.xml.sax.helpers)

Not provided OSGI required bundles:
Bundles: osgi(org.apache.derby), osgi(org.apache.derby.core), osgi(Cloudscape)
Files: /usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.test.performance_3.4.0.v20080507.jar

Bundles: osgi(org.apache.xerces)
Files: /usr/share/eclipse/dropins/mylyn-webtasks/eclipse/plugins/org.jdom_1.0.0.v200806100616.jar
/usr/share/eclipse/dropins/epic/eclipse/plugins/org.epic.lib_0.6.1/lib/jdom.jar

Attachments

osgideps.pl-2009-02-03.patch (3.3 kB) - added by alcapcom on 03/02/09 10:19:45.
rpm-osgideps-check (3.2 kB) - added by alcapcom on 03/02/09 10:21:08.
osgideps.pl.patch (3.8 kB) - added by alcapcom on 03/03/09 19:10:28.
eclipse.spec.patch (3.0 kB) - added by alcapcom on 03/06/09 10:52:46.
eclipse.spec.patch 2007-03-06
osgideps.pl.2.patch (3.6 kB) - added by alcapcom on 03/06/09 10:53:25.
osgideps.pl.patch 2007-03-06
osgideps.pl.patch.20090617 (15.1 kB) - added by alcapcom on 06/17/09 11:55:23.
osgideps.pl.patch

Change History

03/02/09 10:19:45 changed by alcapcom

  • attachment osgideps.pl-2009-02-03.patch added.

03/02/09 10:21:08 changed by alcapcom

  • attachment rpm-osgideps-check added.

03/02/09 11:27:08 changed by alcapcom

Oups the current list of installed package is:

eclipse-emf-sdo-2.4.1-4.fc10.noarch
eclipse-phpeclipse-1.2.1-2.fc10.x86_64
eclipse-egit-0.4.0-1.fc10.noarch
eclipse-emf-2.4.1-4.fc10.noarch
eclipse-photran-xlf-4.0.0-0.b4.fc10.3.x86_64
eclipse-cdt-mylyn-5.0.1-2.fc10.x86_64
eclipse-rcp-3.4.1-5.fc10.x86_64
eclipse-pde-3.4.1-5.fc10.x86_64
eclipse-cdt-5.0.1-2.fc10.x86_64
eclipse-ecj-3.4.1-5.fc10.x86_64
eclipse-mylyn-java-3.0.3-3.fc10.noarch
eclipse-subclipse-1.2.4-12.fc10.noarch
eclipse-pydev-1.4.2-1.fc10.x86_64
eclipse-changelog-2.6.6-1.fc10.x86_64
eclipse-gef-examples-3.4.1-2.fc10.x86_64
eclipse-demos-0.0.1-2.fc8.noarch
eclipse-cdt-sdk-5.0.1-2.fc10.x86_64
eclipse-pydev-mylyn-1.4.2-1.fc10.x86_64
eclipse-rpm-editor-0.4.0-5.fc10.x86_64
eclipse-quickrex-3.5.0-9.fc10.noarch
eclipse-photran-4.0.0-0.b4.fc10.3.x86_64
eclipse-slide-1.3.11-3.fc10.noarch
eclipse-mylyn-trac-3.0.3-3.fc10.noarch
eclipse-swt-3.4.1-5.fc10.x86_64
eclipse-platform-3.4.1-5.fc10.x86_64
eclipse-mylyn-webtasks-3.0.3-3.fc10.noarch
eclipse-shelled-1.0.4-1.fc10.noarch
eclipse-mylyn-3.0.3-3.fc10.noarch
tomcat5-jasper-eclipse-5.5.27-6.1.fc10.noarch
eclipse-gef-3.4.1-2.fc10.x86_64
eclipse-emf-sdk-2.4.1-4.fc10.noarch
eclipse-emf-xsd-sdk-2.4.1-4.fc10.noarch
eclipse-checkstyle-4.0.1-11.fc10.x86_64
eclipse-emf-examples-2.4.1-4.fc10.noarch
eclipse-subclipse-book-1.2.4-12.fc10.noarch
eclipse-mylyn-pde-3.0.3-3.fc10.noarch
eclipse-gef-sdk-3.4.1-2.fc10.x86_64
eclipse-emf-sdo-sdk-2.4.1-4.fc10.noarch
icu4j-eclipse-3.8.1-4.fc10.x86_64
eclipse-jdt-3.4.1-5.fc10.x86_64
eclipse-epic-0.6.27-1.fc10.x86_64
eclipse-emf-xsd-2.4.1-4.fc10.noarch
eclipse-setools-3.3.2.4-3.fc10.x86_64

03/03/09 19:10:28 changed by alcapcom

  • attachment osgideps.pl.patch added.

03/03/09 20:01:17 changed by alcapcom

Hi,

The last patch fix two other bugs[1], we currently completely ignore optional requires, should that be true in the future?... in other word any plan to support optional deps :)

Panu, we need this patch in rawhide (sooner as possible of course), do you prefer that I open a bug there too?

[1] we don't require or provide optional bundles, we no more touch version strings.

Thanks

03/06/09 10:52:46 changed by alcapcom

  • attachment eclipse.spec.patch added.

eclipse.spec.patch 2007-03-06

03/06/09 10:53:25 changed by alcapcom

  • attachment osgideps.pl.2.patch added.

osgideps.pl.patch 2007-03-06

03/06/09 10:57:16 changed by alcapcom

Oups, don't take in account eclipse.spec patch, it's just a false manipulation.

2007-03-06 patch Also remove x-friends bundles of OSGI Export-Packages (RPM requires)

Regards, Alphonse

06/17/09 11:55:23 changed by alcapcom

  • attachment osgideps.pl.patch.20090617 added.

osgideps.pl.patch

06/17/09 12:01:36 changed by alcapcom

Last patch fix a lot of bug and typo errors, based on some test that I have do with this script, it sound good for production.

Please apply it ASAP.

Have a good day, Alphonse

(follow-up: ↓ 6 ) 06/18/09 09:19:37 changed by pmatilai

  • status changed from new to assigned.

Hmm, I'm getting a bit lost in the patches :) Just to make sure: the osgideps.pl.patch.20090617 is the only one of these that should be applied, right?

(in reply to: ↑ 5 ) 06/18/09 09:56:06 changed by alcapcom

Replying to pmatilai:

Hmm, I'm getting a bit lost in the patches :)

:)

Just to make sure: the osgideps.pl.patch.20090617 is the only one of these that should be applied, right?

Yes only that one

Thanks

06/18/09 10:10:30 changed by pmatilai

  • status changed from assigned to closed.
  • resolution set to fixed.

Okay, applied now, thanks for the patch. Or actually git thinks it's a rewrite :)

1 files changed, 357 insertions(+), 203 deletions(-) rewrite scripts/osgideps.pl (91%)

06/18/09 11:10:25 changed by alcapcom

Yeah, indentation rework + some new functions = completely new script for a scim :)

Thanks to apply it so quickly.